#!/bin/sh

/usr/lib/linuxconf/install/rpm-postinst.sh $*

# Add a few group ids so that the user is not prompted for them later...
if [ -x /usr/sbin/groupadd ] ; then
	# if it is an old version of groupadd, the combined -g and -r options
	# will cause it to fail, so we fall back on just -r.  It will be less
	# consistent across systems, but that's not too horrible.
	/usr/sbin/groupadd -g 230 -r -f pppusers >/dev/null 2>&1 || \
	  /usr/sbin/groupadd -r -f pppusers >/dev/null 2>&1 || true
	/usr/sbin/groupadd -g 231 -r -f popusers >/dev/null 2>&1 || \
	  /usr/sbin/groupadd -r -f popusers >/dev/null 2>&1 || true
	/usr/sbin/groupadd -g 232 -r -f slipusers >/dev/null 2>&1 || \
	  /usr/sbin/groupadd -r -f slipusers >/dev/null 2>&1 || true
fi